Page MenuHomePhabricator

Elasticsearch 6: the classic similarity is deprecated
Closed, ResolvedPublic

Description

We should reindex remaining indices with BM25 and completely remove classic from CirrusSearch code.

Event Timeline

dcausse created this task.Mar 26 2019, 9:40 AM
dcausse claimed this task.Mar 28 2019, 3:36 PM
dcausse triaged this task as Normal priority.
dcausse moved this task from needs triage to Current work on the Discovery-Search board.

Change 499795 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Use bm25 similarity for all wikis

https://gerrit.wikimedia.org/r/499795

Change 499796 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Drop classic similarity configs

https://gerrit.wikimedia.org/r/499796

Change 499795 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Use bm25 similarity for all wikis

https://gerrit.wikimedia.org/r/499795

Mentioned in SAL (#wikimedia-operations) [2019-04-01T18:42:35Z] <dcausse@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T219268: [cirrus] Use bm25 similarity for all wikis (duration: 00m 51s)

Change 499796 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Drop classic similarity configs

https://gerrit.wikimedia.org/r/499796

debt closed this task as Resolved.Apr 15 2019, 6:02 PM